-- Removes unwanted Agenda Types from game (because this is war!)
DELETE FROM Agendas WHERE AgendaType='AGENDA_BARBARIAN_LOVER';
DELETE FROM Agendas WHERE AgendaType='AGENDA_CIVILIZED';
DELETE FROM Agendas WHERE AgendaType='AGENDA_CULTURED';
DELETE FROM Agendas WHERE AgendaType='AGENDA_DEVOUT';
DELETE FROM Agendas WHERE AgendaType='AGENDA_ENVIRONMENTALIST';
DELETE FROM Agendas WHERE AgendaType='AGENDA_EXPLORER';
DELETE FROM Agendas WHERE AgendaType='AGENDA_FUN_LOVING';
DELETE FROM Agendas WHERE AgendaType='AGENDA_INDUSTRIALIST';
DELETE FROM Agendas WHERE AgendaType='AGENDA_MONEY_GRUBBER';
DELETE FROM Agendas WHERE AgendaType='AGENDA_NATURALIST';
DELETE FROM Agendas WHERE AgendaType='AGENDA_POPULOUS';
DELETE FROM Agendas WHERE AgendaType='AGENDA_TECHNOPHILE';
DELETE FROM Agendas WHERE AgendaType='AGENDA_WONDER_ADVOCATE'; -- May be assigned as secondary

-- Updates Historical Agendas to utilize AGENDA_NUKE_LOVER for leaders
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_DEFAULT';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_BARBAROSSA';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_CATHERINE_DE_MEDICI';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_CLEOPATRA';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_GANDHI';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_GILGAMESH';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_GORGO';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_HARDRADA';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_HOJO';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_MVEMBA';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_PEDRO';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_PERICLES';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_PETER_GREAT';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_PHILIP_II';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_QIN';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_SALADIN';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_TOMYRIS';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_TRAJAN';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_T_ROOSEVELT';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_VICTORIA';
	-- Expansion 1 leaders
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_CHANDRAGUPTA';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_GENGHIS_KHAN';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_LAUTARO';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_ROBERT_THE_BRUCE';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_SEONDEOK';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_SHAKA';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_TAMAR';
	-- Expansion-2 leaders
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_DIDO';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_ELEANOR_ENGLAND';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_ELEANOR_FRANCE';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_KRISTINA';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_KUPE';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_LAURIER';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_MANSA_MUSA';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_MATTHIAS_CORVINUS';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_PACHACUTI';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_SULEIMAN';
	-- DLC leaders
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_JOHN_CURTIN';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_GITARJA';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_JAYAVARMAN';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_ALEXANDER';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_AMANITORE';
UPDATE HistoricalAgendas SET AgendaType='AGENDA_NUKE_LOVER' WHERE LeaderType = 'LEADER_JADWIGA';

-- Updates Agendas Traits to include TRAIT_AGENDA_IGNORE_WARMONGERING
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_ALLY_OF_ENKIDU'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_AYYUBID_DYNASTY'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_BACKSTAB_AVERSE'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_BIG_STICK_POLICY'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_BLACK_QUEEN';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_BUSHIDO'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_CITY_STATE_ALLY'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_COUNTER_REFORMER'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_DELIAN_LEAGUE';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_ENTHUSIASTIC_DISCIPLE'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_GREAT_PERSON_OBSESSED';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_IRON_CROWN'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_LAST_VIKING_KING'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_OPTIMUS_PRINCEPS'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_PEACEKEEPER'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_QUEEN_OF_NILE'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_SUN_NEVER_SETS'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_TLATOANI'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_WESTERNIZER'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_WITH_YOUR_SHIELD_OR_ON_IT'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_BILLIONAIRE';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_LORD_OF_MINES';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_CITY_PLANNER';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_PATRON_OF_ARTS';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_DARWINIST';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_DEMAGOGUE';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_DESTINATION_CIV';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_LIBERTARIAN';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_TURTLER';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_ZEALOT';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_FLAT_EARTHER';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_IGNORE_WARMONGERING' WHERE AgendaType = 'AGENDA_WONDER_ADVOCATE';

-- Updates Agendas Traits to include TRAIT_AGENDA_ENJOYS_WAR
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_ALLY_OF_ENKIDU'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_AYYUBID_DYNASTY'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_BACKSTAB_AVERSE'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_BIG_STICK_POLICY'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_BLACK_QUEEN';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_BUSHIDO'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_CITY_STATE_ALLY'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_COUNTER_REFORMER'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_DELIAN_LEAGUE';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_ENTHUSIASTIC_DISCIPLE'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_GREAT_PERSON_OBSESSED';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_IRON_CROWN'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_LAST_VIKING_KING'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_OPTIMUS_PRINCEPS'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_PEACEKEEPER'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_QUEEN_OF_NILE'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_SUN_NEVER_SETS'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_TLATOANI'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_WESTERNIZER'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_WITH_YOUR_SHIELD_OR_ON_IT'
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_BILLIONAIRE';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_LORD_OF_MINES';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_CITY_PLANNER';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_PATRON_OF_ARTS';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_DARWINIST';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_DEMAGOGUE';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_DESTINATION_CIV';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_LIBERTARIAN';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_TURTLER';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_ZEALOT';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_FLAT_EARTHER';
UPDATE AgendaTraits SET TraitType = 'TRAIT_AGENDA_ENJOYS_WAR' WHERE AgendaType = 'AGENDA_WONDER_ADVOCATE';